API Reference
증명서 발급
번호마다 증명서 PDF 를 바로 발급한다. 지금 종류는 telecom_subscription(통신서비스 이용증명원)뿐이다.
- 발급 대상: 한국AI통신이 개통한 070·대표번호만. 그 밖의 번호는
422와 번호별blockers. - 전부 아니면 전무: 번호 하나라도 막히면 아무것도 발급하지 않는다.
- 미리보기:
dryRun: true면 같은 판정만 하고200으로 결과를 돌려준다. - 멱등: 같은
idempotencyKey재요청은200으로 1회차 결과. - 한도: 계정당 하루(KST) 20장. 넘으면
429+Retry-After(다음 자정까지 초). - 문서의 「인입 연락처」는 요청자의 본인확인 휴대폰 번호다. API 키 요청은 계정 소유자의 번호.
Authorization
BearerAuth AuthorizationBearer <token>
API Key를 Bearer 토큰으로 전달
In: header
Path Parameters
accountId*string
계정 ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/accounts/AC1a2b3c4d/certificate-requests" \ -H "Content-Type: application/json" \ -d '{ "type": "telecom_subscription", "numbers": [ "07012340001" ], "submitTo": "예시 문자서비스", "purpose": "external_service", "deliveryEmail": "ops@example.com", "idempotencyKey": "cert-2026-10-16-001" }'{
"id": "CERT-7Q2K9D",
"type": "telecom_subscription",
"status": "issued",
"channel": "api",
"numbers": [
"07012340001"
],
"submitTo": "예시 문자서비스",
"purpose": "external_service",
"createdAt": "2026-10-16T01:02:03.000Z",
"certificates": [
{
"certificateNumber": "KAT-20261016-0001",
"type": "telecom_subscription",
"title": "통신서비스 이용증명원",
"holder": {
"type": "business",
"name": "주식회사 예시",
"registrationNumber": "123-45-67890",
"birthDate": "1980-**-**"
},
"subject": {
"number": "07012340001",
"numberType": "internet_phone",
"subscriptionDate": "2026-08-14"
},
"issueDate": "2026-10-16",
"status": "issued",
"revokedAt": null,
"revokedReason": null,
"pdfSha256": "3b5f0c1e9a7d4b2e8f6a1c0d9e8b7a6f5e4d3c2b1a0f9e8d7c6b5a4f3e2d1c0b",
"pdfPath": "/v1/accounts/AC1a2b3c4d/certificates/KAT-20261016-0001/pdf",
"createdAt": "2026-10-16T01:02:03.000Z"
}
],
"delivery": {
"email": "ops@example.com",
"status": "sent",
"error": null,
"deliveryIds": [
"clx9dlv00001"
]
}
}{
"id": "CERT-7Q2K9D",
"type": "telecom_subscription",
"status": "issued",
"channel": "api",
"numbers": [
"07012340001"
],
"submitTo": "예시 문자서비스",
"purpose": "external_service",
"createdAt": "2026-10-16T01:02:03.000Z",
"certificates": [
{
"certificateNumber": "KAT-20261016-0001",
"type": "telecom_subscription",
"title": "통신서비스 이용증명원",
"holder": {
"type": "business",
"name": "주식회사 예시",
"registrationNumber": "123-45-67890",
"birthDate": "1980-**-**"
},
"subject": {
"number": "07012340001",
"numberType": "internet_phone",
"subscriptionDate": "2026-08-14"
},
"issueDate": "2026-10-16",
"status": "issued",
"revokedAt": null,
"revokedReason": null,
"pdfSha256": "3b5f0c1e9a7d4b2e8f6a1c0d9e8b7a6f5e4d3c2b1a0f9e8d7c6b5a4f3e2d1c0b",
"pdfPath": "/v1/accounts/AC1a2b3c4d/certificates/KAT-20261016-0001/pdf",
"createdAt": "2026-10-16T01:02:03.000Z"
}
],
"delivery": {
"email": "ops@example.com",
"status": "sent",
"error": null,
"deliveryIds": [
"clx9dlv00001"
]
}
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}